<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Tagihan</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Tagihan</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <form method="get" sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_FINANCE','VIEW_AKADEMIK')">
                                                <div class="form-group right col-md-5">
                                                    <label>Nama :</label>
                                                    <input class="form-control" name="nama" th:if="${nama} == null" placeholder="Nama" type="text" value="">
                                                    <input class="form-control" name="nama" th:if="${nama} != null" th:value="${nama}" placeholder="Nama" type="text" value="">
                                                </div>
                                                <div class="form-group right col-md-5">
                                                    <label>Jenis Biaya :</label>
                                                    <select name="jenisBiaya"
                                                            class="form-control">
                                                        <option selected th:if="${jenisBiaya} != null" th:each="data: ${jenisBiaya}"
                                                                th:value="${data.id}" th:text="${data.nama}"></option>
                                                        <option value="">- Pilih Jenis Biaya -</option>
                                                        <option th:each="ins : ${listJenisBiaya}"
                                                                th:value="${ins.id}"
                                                                th:text="${ins.nama}">Ekonomi Syariah</option>
                                                    </select>
                                                </div>
                                                <div class="form-group right col-md-2">
                                                    <button class="btn btn-sm btn-primary" style="margin-top: 16%;" type="submit">Cari</button>
                                                    <a th:href="@{/tagihan/list}" class="btn btn-sm btn-danger" style="margin-top: 16%;" type="submit">Reset</a>
                                                </div>
                                            </form>
                                            <hr>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <span class="pull-left">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                    <br> <br>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr>
                                                            <th>No</th>
                                                            <th>No Registrasi</th>
                                                            <th>Nama</th>
                                                            <th>Jenis Tagihan</th>
                                                            <th>Nilai</th>
                                                            <th>Status</th>
                                                            <th>History</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="p,row : ${daftarTagihan}">
                                                            <td th:text="${(row.index + 1) + (daftarTagihan.number * daftarTagihan.size)}">#</td>
                                                            <td th:text="${p.pendaftar.nomorRegistrasi}"></td>
                                                            <td th:text="${p.pendaftar.leads.nama}">10-08-2017</td>
                                                            <td th:text="${p.jenisBiaya.nama}">10-08-2017</td>
                                                            <td th:if="${p.pendaftar.referal != null && p.jenisBiaya.id == '001'}">
                                                                <span  th:text="${'Rp. ' + #numbers.formatDecimal(p.nilai, 0, 'POINT', 2, 'COMMA') + ' - '}"></span>
                                                                <a th:href="@{/referal/list(keterangan=${p.pendaftar.referal.kodeReferal})}" th:text="${p.pendaftar.referal.kodeReferal}"></a>
                                                            </td>
                                                            <td th:if="${p.pendaftar.referal == null}" th:text="${'Rp. ' + #numbers.formatDecimal(p.nilai, 0, 'POINT', 2, 'COMMA')}">10-08-2017</td>
                                                            <td>
                                                                <span th:if="${p.lunas}">
                                                                    <span  style="color: #2b982b;">Lunas</span>
                                                                </span>
                                                                <span th:if="${!p.lunas}" sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_EDUCONSULTANS','VIEW_FINANCE','VIEW_AKADEMIK')">
                                                                    <a th:href="@{/pembayaran/form(id = ${p.id})}">
                                                                        <span style="color: red;">Belum Lunas</span>
                                                                    </a>
                                                                </span>
                                                                <span th:if="${!p.lunas}" sec:authorize ="hasAuthority('VIEW_PASCASARJANA')">
                                                                    <span style="color: red;">Belum Lunas</span>
                                                                </span>
                                                            </td>
                                                            <td>
                                                                <a th:if="${p.jenisBiaya.id == '001'}" th:href="@{/tagihan/detailTagihan(idTagihan = ${p.id}, jenisBiaya = ${p.jenisBiaya.id})}" type="submit" class="btn btn-info btn-xs">Cek</a>
                                                                <a th:if="${p.jenisBiaya.id == '002'}" th:href="@{/tagihan/detailTagihan(idTagihan = ${p.pendaftar.id},jenisBiaya = ${p.jenisBiaya.id})}" type="submit" class="btn btn-info btn-xs">Cek</a>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-left">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>